com.thinkaurelius.titan.util.datastructures

## Class ProperInterval<T>

- java.lang.Object
- - com.thinkaurelius.titan.util.datastructures.ProperInterval<T>

- All Implemented Interfaces:
    Interval<T>

      public class ProperInterval<T>
      extends Object
      implements Interval<T>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProperInterval()`
    `ProperInterval(T point)`
    `ProperInterval(T start, T end)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(T other)`
    `boolean` | `endInclusive()`
    `boolean` | `equals(Object other)`
    `T` | `getEnd()`
    `T` | `getStart()`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `boolean` | `isPoint()`
    `void` | `setEnd(T end)`
    `void` | `setEndInclusive(boolean inclusive)`
    `void` | `setPoint(T point)`
    `void` | `setStart(T start)`
    `void` | `setStartInclusive(boolean inclusive)`
    `boolean` | `startInclusive()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProperInterval

          public ProperInterval()

    - #### ProperInterval

          public ProperInterval(T point)

    - #### ProperInterval

          public ProperInterval(T start,
                        T end)

  - ### Method Detail

    - #### setPoint

          public void setPoint(T point)

    - #### setStart

          public void setStart(T start)

    - #### setEnd

          public void setEnd(T end)

    - #### setStartInclusive

          public void setStartInclusive(boolean inclusive)

    - #### setEndInclusive

          public void setEndInclusive(boolean inclusive)

    - #### getStart

          public T getStart()

      Specified by:
        `getStart` in interface `Interval<T>`

    - #### getEnd

          public T getEnd()

      Specified by:
        `getEnd` in interface `Interval<T>`

    - #### startInclusive

          public boolean startInclusive()

      Specified by:
        `startInclusive` in interface `Interval<T>`

    - #### endInclusive

          public boolean endInclusive()

      Specified by:
        `endInclusive` in interface `Interval<T>`

    - #### isPoint

          public boolean isPoint()

      Specified by:
        `isPoint` in interface `Interval<T>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Interval<T>`

    - #### contains

          public boolean contains(T other)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2012–2014. All rights reserved.